package cn.com.countrygarden.bi.main.model.wcx;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Table(name = "wcx_role")
public class WcxRole {
    @Id
    private String roleId; // varchar(36) NOT NULL COMMENT '角色表主键',
    @Column(name = "role_code")
    private String roleCode; // varchar(8) DEFAULT NULL COMMENT '角色编码',
    @Column(name = "role_name")
    private String roleName; // varchar(36) DEFAULT NULL COMMENT '角色名称',
    @Column(name = "role_type")
    private String roleType; // char(1) DEFAULT NULL COMMENT '角色类别(1:代表普通人,2:代表领导)',
    @Column(name = "weight_ratio")
    private Integer weightRatio; // int(5) DEFAULT NULL COMMENT '权重比例',
    @Column(name = "point_number")
    private Integer pointNumber; // int(5) DEFAULT NULL COMMENT '点赞次数',
    @Column(name = "status")
    private String status; // char(1) DEFAULT NULL COMMENT '状态(0:未启用,1:启用)',
    @Column(name = "create_date")
    private Date createDate; // datetime DEFAULT NULL COMMENT '创建时间',

    public String getRoleId() {
        return roleId;
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    public String getRoleCode() {
        return roleCode;
    }

    public void setRoleCode(String roleCode) {
        this.roleCode = roleCode;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getRoleType() {
        return roleType;
    }

    public void setRoleType(String roleType) {
        this.roleType = roleType;
    }

    public Integer getWeightRatio() {
        return weightRatio;
    }

    public void setWeightRatio(Integer weightRatio) {
        this.weightRatio = weightRatio;
    }

    public Integer getPointNumber() {
        return pointNumber;
    }

    public void setPointNumber(Integer pointNumber) {
        this.pointNumber = pointNumber;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }
}
